#!/usr/bin/env bash

sudo apt-get update
sudo apt-get install fasd fontconfig -y
git clone https://github.com/zsh-users/zsh-autosuggestions ~/.oh-my-zsh/custom/plugins/zsh-autosuggestions
git clone https://github.com/zsh-users/zsh-syntax-highlighting.git ~/.oh-my-zsh/custom/plugins/zsh-syntax-highlighting

git clone --depth=1 https://github.com/romkatv/powerlevel10k.git ~/powerlevel10k

sudo mkdir -p /usr/share/fonts/MesloLGS_NF
sudo wget -q -O /usr/share/fonts/MesloLGS_NF/MesloLGS_NF_Regular.ttf https://github.com/romkatv/dotfiles-public/raw/master/.local/share/fonts/NerdFonts/MesloLGS%20NF%20Regular.ttf
sudo wget -q -O /usr/share/fonts/MesloLGS_NF/MesloLGS_NF_Bold.ttf https://github.com/romkatv/dotfiles-public/raw/master/.local/share/fonts/NerdFonts/MesloLGS%20NF%20Bold.ttf
sudo wget -q -O /usr/share/fonts/MesloLGS_NF/MesloLGS_NF_Italic.ttf https://github.com/romkatv/dotfiles-public/raw/master/.local/share/fonts/NerdFonts/MesloLGS%20NF%20Italic.ttf
sudo wget -q -O /usr/share/fonts/MesloLGS_NF/MesloLGS_NF_Bold_Italic.ttf https://github.com/romkatv/dotfiles-public/raw/master/.local/share/fonts/NerdFonts/MesloLGS%20NF%20Bold%20Italic.ttf
fc-cache -fv

# find . -type f -name "requirements.txt" -exec pip3 install -r {} \; 

python3 -m pip install --upgrade pip
# python3 -m pip install -r scripts/requirements.txt

bundle install
./install_tex_packages.sh