# Project Name

This script creates automatic donation reciepts from an MT940 file exported in the online banking transaction history.

## Table of Contents

- [Installation](#installation)
- [Usage](#usage)
- [License](#license)

## Installation

You need LaTex and Ruby installed

### LaTex Dependencies

All required packages are listed in `install_tex_packages.sh`. Run the following command to install them:

```bash
./install_tex_packages.sh
```

### Ruby Dependencies

All required gems are listed in the `Gemfile`. Run the following command to install them:

```bash
bundle install
```

## Usage

`./beitragsquittung.rb <MT940 file> <Excel file> <member id>`

The member ID is optional. If not provided, all members are processed.
The time range is used from the MT940 file.

MT940 file: The file exported from the online banking transaction history.
Excel file: The file containing the member data.
Member ID: The ID of the member for which the reciept should be created.

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details.
